Feature: Auth Modules
	Create, delete, rename

	@asmonitor @nacoma
	Scenario: Create, set as default, rename and delete a new Auth Module with Default Driver
		When I click "Auth modules"
		And I click "Add New Module"
		And I enter "testDefault" into "driver_name"
		And I click "Add" within ".ui-dialog"
		Then I should see "testDefault"
		When I click "Submit"
		Then I should see "Apc Enabled"
		And I should see "testDefault"
		When I click "common"
		Then "Default Auth" should have option "testDefault"
		When I select "testDefault" from "Default Auth"
		And I click "Submit"
		Then "testDefault" should be selected from "Default Auth"
		When I click "testDefault"
		And I enter "renamedDefault" into "Rename Module"
		And I click "Submit"
		Then I shouldn't see "testDefault"
		When I click "common"
		Then "renamedDefault" should be selected from "Default Auth"
		When I click css "#delete-renamedDefault"
		And I confirm popup
		Then I shouldn't see "renamedDefault"
		When I click "Submit"
		Then I shouldn't see "renamedDefault"
